Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a question about vga driver issue, I am now have ubuntu-9.04 with linux-kernel-2.6.28 install in my machine. My machine has intel i910 chipset. And I found that when I use the external monitor, I can't work with extension mode at my second display.

Then I also try ubuntu-10.04 at the same machine which has i910 chipset. It works well when I use external monitor. I can use mirror mode and extension mode at second display.

The big problem for me is, I have a application that works only for ubuntu-9.04 with kernel-2.6.28. So I can't change the ubuntu version to 10.04.

Can I just change the intel vga driver in 9.04? How to do it? Is it possible to use the intel vga driver which build-in 10.04 in 9.04?

Thanks for your kindly help !

share|improve this question
add comment

1 Answer 1

A ppa with the newest drivers can be found here.

Add it with sudo apt-add-repository ppa:glasen/intel-driver and after that do sudo apt-get update and a sudo apt-get upgrade install the xserver-xorg-video-intel using the command sudo apt-get install xserver-xorg-video-intel.

Those are the most recent Intel drivers, it should work in 9.04 the same way it works on 10.04.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.